\documentclass[12pt]{article}

\usepackage{amsthm,enumerate,amsmath,graphics,float,amssymb,kbordermatrix}

\usepackage[text={17cm,23cm},centering]{geometry}

\pagestyle{empty}

\theoremstyle{definition}
\newtheorem{Q}{Question}
\newtheorem{Ex}{Exercise}
\newtheorem*{sol}{Solution}

\newcommand{\cl}{\operatorname{cl}}

\setlength{\parskip}{1ex}
\setlength{\parindent}{0pt}

\begin{document}

\vspace{4ex}
\hrule
MATH432 - 2009\hfill
Assignment 2 \hfill
Due September 7
\vspace{1ex}\hrule\vspace{1ex}

\begin{Q}
Let $M=(E,\mathcal{I})$ be a matroid, and let $X$ be a subset of $X$.
Let $F_{1},\ldots, F_{t}$ be the set of flats of $M$ that contain
$X$.
Prove that
$$\cl(X) = F_{1}\cap F_{2}\cap \cdots \cap F_{t}.$$
\end{Q}

\begin{Q}
A \emph{cyclic flat} is a flat that is also a union of circuits.
(Note that we also consider $\cl(\emptyset)$ to be a cyclic flat,
even if it is empty.)

(i) Prove that a subset $X$ of the ground set is independent
if and only if $|X\cap Z| \leq r(Z)$, for every cyclic flat $Z$.

(ii) Prove that $Z$ is a cyclic flat of the matroid $M$ if and only if
$E-Z$ is a cyclic flat of $M^{*}$.

(iii) Give an example to show that the complement of a flat
is not necessarily a flat in $M^{*}$.
\end{Q}

\begin{Q}
Let $M=(E,\mathcal{I})$ be a matroid, and assume that $e \in E$ is
not a loop of $M$.
Prove that $\{I \subseteq E-e \mid I \cup e \in \mathcal{I}\}$
obeys {\bf I1}, {\bf I2}, and {\bf I3}.
\end{Q}

\begin{Q}
The diagram below shows the graph $K_{3,3}$.
\begin{figure}[htb]
  \centering
  \includegraphics{K33}
  \caption{$K_{3,3}$}
\end{figure}
\begin{enumerate}[(i)]
\item Draw a geometric representation of the cographic matroid $M^{*}(K_{3,3})$.
\item Let $e$ be any edge of $K_{3,3}$.
Draw a geometric representation of $M^{*}(K_{3,3})/e$.
\item Give a planar drawing of the graph $K_{3,3}\backslash e$.
\item Draw the geometric dual of the planar drawing in part (iii).
\item Draw a geometric representation of the graphic matroid
corresponding to the graph in part (iv).
\item Explain why the drawings in parts (ii) and (v) represent the
same matroid.
\end{enumerate}
\end{Q}

\begin{Q}
The binary matroid $R_{10}$ is represented over the field
$\mathrm{GF}(2)$ by the matrix
$$\kbordermatrix{
  & f & g & h & i & j\\
a & 1 & 1 & 0 & 0 & 1\\
b & 1 & 1 & 1 & 0 & 0\\
c & 0 & 1 & 1 & 1 & 0\\
d & 0 & 0 & 1 & 1 & 1\\
e & 1 & 0 & 0 & 1 & 1\\
}
$$
Show that $R_{10}/a$ is isomorphic to $M^{*}(K_{3,3})$, and
$R_{10}\backslash f$ is isomorphic to $M(K_{3,3})$.
\end{Q}

\begin{Q}
Let $G=(V,E,\phi)$ be a graph, and suppose that $e$ is a
non-loop edge of $G$.
Prove that $G/e$ contains a cycle if and only if $G$ contains
a cycle.
\end{Q}

\begin{Q}
Let $M$ be isomorphic to $U_{r,n}$, where $0 \leq r \leq n$,
and let $e$ be an element of $M$.
Prove that:
\begin{enumerate}[(i)]
\item $M\backslash e$ is isomorphic to $U_{r,n-1}$ if $r < n$, and
$U_{r-1,n-1}$ otherwise.
\item $M/ e$ is isomorphic to $U_{r-1,n-1}$ if $r > 0$, and
$U_{r,n-1}$ otherwise.
\end{enumerate}
\end{Q}

\begin{Q}
{\bf [Possibly quite difficult.]}
Find the excluded minors for the class of
uniform matroids.
\end{Q}

\begin{Q}
{\bf [Probably quite difficult.]}
Let $B_{1}$ and $B_{2}$ be bases of a matroid, and let $e$
be an element in $B_{1}-B_{2}$.
Show that there is an element in $B_{2}-B_{1}$ such that
both $(B_{1}-e)\cup f$ and $(B_{2}-f)\cup e$ are
bases.
\end{Q}

\end{document}
